# WindowController Class Reference

WindowController is a Cocoa notification receiver. More...

`#import <WindowController.h>`

List of all members.

## Public Member Functions

(WindowController *) | - initWithWindow:
| Initialize a new WindowController object and link it to the 'window' object.
(void) | - viewFrameDidChange:
| Notification method receiver when OpenGL view size changes.
(void) | - windowDidBecomeMain:
| Notification method receiver when the window gains focus.
(void) | - windowDidResignMain:
| Notification method receiver when the window loses focus.
(void) | - windowWillClose:
| Notification method receiver when the window closes.

## Static Public Member Functions

(WindowController *) | + controllerWithWindow:
| Return a new autoreleased WindowController object linked to the 'window' WindowImplCocoa object.

## Protected Attributes

sf::priv::WindowImplCocoa * | parentWindow

## Detailed Description

WindowController is a Cocoa notification receiver.

Definition at line 37 of file WindowController.h.

## Member Function Documentation

+ (WindowController *) controllerWithWindow: |  | (sf::priv::WindowImplCocoa *) | window |  |

Return a new autoreleased WindowController object linked to the 'window' WindowImplCocoa object.

Definition at line 70 of file WindowController.mm.

- (WindowController *) initWithWindow: |  | (sf::priv::WindowImplCocoa *) | window |  |

Initialize a new WindowController object and link it to the 'window' object.

Definition at line 49 of file WindowController.mm.

- (void) viewFrameDidChange: |  | (NSNotification *) | notification |  |

Notification method receiver when OpenGL view size changes.

Definition at line 90 of file WindowController.mm.

- (void) windowDidBecomeMain: |  | (NSNotification *) | notification |  |

Notification method receiver when the window gains focus.

Definition at line 106 of file WindowController.mm.

- (void) windowDidResignMain: |  | (NSNotification *) | notification |  |

Notification method receiver when the window loses focus.

Definition at line 117 of file WindowController.mm.

- (void) windowWillClose: |  | (NSNotification *) | notification |  |

Notification method receiver when the window closes.

Definition at line 128 of file WindowController.mm.

The documentation for this class was generated from the following files:

- WindowController.h
- WindowController.mm